# Class GMChecker

java.lang.Object
GMChecker

public class GMChecker extends Object
GMChecker est utilisée pour vérifier la cohérence de la grille. Elle vérifie si les lignes, les colonnes et les régions de la grille respectent les règles du jeu.

## Constructor Summary

Constructors
Constructor
Description
`GMChecker(GMGrid grid)`
Constructeur pour créer une instance de GMChecker.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkGrid()`
Vérifie si la grille est correcte.
`boolean`
`checkGridMessage()`
Vérifie si la grille est correcte et envoie un message.
`boolean`
`isCorrect()`
Vérifie si la grille est correcte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMChecker

public GMChecker(GMGrid grid)
Constructeur pour créer une instance de GMChecker.

Parameters:
  `grid` - La grille à vérifier

## Method Details

### checkGridMessage

public boolean checkGridMessage()
Vérifie si la grille est correcte et envoie un message.

Returns:
  true si la grille est correcte, false sinon

### checkGrid

public boolean checkGrid()
Vérifie si la grille est correcte.

Returns:
  true si la grille est correcte, false sinon

### isCorrect

public boolean isCorrect()
Vérifie si la grille est correcte.

Returns:
  true si la grille est correcte, false sinon